Retrieves all skills

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

skill
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the skill

string

Required

Max length: 255

description

Description of the skill

string

Max length: 4000

code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating skill

string
sales_organization

Embedded entity "sales_organization" when adding/updating skill

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "30ac822b-d661-4550-9f81-74e9bd7554fe",
  "name": "sample string 2",
  "description": "sample string 3",
  "code": "sample string 4",
  "sales_organization_id": "9af35b57-13bb-40f9-bf89-c14102f46601",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "32062145-b813-42c1-81da-4a7aced0526a",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "c964cfd0-74e5-4976-ba3e-b19879c805c9",
    "db_currency_id": "d5c37664-6a04-4bc4-bf7d-938ea3a65add",
    "db_language_id": "d607c3e3-b0e0-42ea-9129-80e76d3a7c95",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-09-30T04:00:07.4485965+00:00"
  },
  "modified_dateutc": "2026-09-30T04:00:07.4641277+00:00"
}